/*=============================================================================
	Module Name:
			vfm.h

	Abstract:
			Virtual File Map I/O library

	License:
            GNU General Public License (GPL)

	Revision History:
			* Sep  1, 2004:  Created by Attila Afra
			* Sep 12, 2004:  Serious bug in I/O preparation fixed

------------------------------------------------------------------------------
	Copyright  2004 Attila T. Afra. All rights reserved.
=============================================================================*/

#ifndef __VFM_H_
#define __VFM_H_

// C++ compatibility
#ifdef __cplusplus
extern "C" {
#endif


// Includes
#include <stdio.h>

// Virtual file handle
//#define VFILE void
// Nick
#define VFILE FILE

// Functions
VFILE *vfopen(const char *filename);
int vfclose(VFILE *stream);
int vfread(VFILE *stream, void *buffer, unsigned int count);
__int64 vfseek(VFILE *stream, __int64 offset, int origin);
__int64 vftell(VFILE *stream);
int vfeof(VFILE *stream);
__int64 vflen(VFILE *stream);

// C++ compatibility
#ifdef __cplusplus
}
#endif

#endif // __VFM_H_